Import list items
- Base URL
-
https://{kibana_url}
-
POST
/api/lists/items/_import
-
POST
/s/{space_id}/api/lists/items/_import
Auth
Import list items from a TXT or CSV file. The maximum file size is 9 million bytes.
You can import items to a new or existing list.
-
space_id
string
optional
-
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
-
list_id
string · format: nonempty · min length: 1
-
List's id.
Required when importing to an existing list.
-
type
enum
-
Type of the importing list.
Required when importing a new list that is list_id is not specified.
-
Values:
binary
boolean
byte
date
date_nanos
date_range
double
double_range
float
float_range
geo_point
geo_shape
half_float
integer
integer_range
ip
ip_range
keyword
long
long_range
shape
short
text
-
refresh
enum
-
Determines when changes made by the request are made visible to search
-
Values:
true
false
wait_for
-
file
string · format: binary
-
A .txt or .csv file containing newline separated list items
-
@timestamp
string · format: date-time
-
created_at
string · format: date-time
required
-
created_by
string
required
-
description
string · format: nonempty · min length: 1
required
-
A string that does not contain only whitespace characters
-
id
string · format: nonempty · min length: 1
required
-
A string that does not contain only whitespace characters
-
immutable
boolean
required
-
name
string · format: nonempty · min length: 1
required
-
A string that does not contain only whitespace characters
-
tie_breaker_id
string
required
-
type
enum
required
-
Values:
binary
boolean
byte
date
date_nanos
date_range
double
double_range
float
float_range
geo_point
geo_shape
half_float
integer
integer_range
ip
ip_range
keyword
long
long_range
shape
short
text
-
updated_at
string · format: date-time
required
-
updated_by
string
required
-
version
integer · min: 1
required
Invalid input data response
application/json
One of:
-
status_code
integer
required
Unsuccessful authentication response
application/json
-
statusCode
integer
required
Not enough privileges response
application/json
-
statusCode
integer
required
List with specified list_id does not exist response
application/json
-
status_code
integer
required
Internal server error response
application/json
-
status_code
integer
required
Thank you for your feedback.